Package org.snpeff.util

# Class KeyValue<A,B>

java.lang.Object
org.snpeff.util.KeyValue<A,B>

All Implemented Interfaces:
  `Comparable<KeyValue<A,B>>`

public class KeyValue<A,B> extends Object implements Comparable<KeyValue<A,B>>
A "key = value" pair

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`final A`
`key`
`final B`
`value`

## Constructor Summary

Constructors
Constructor
Description
`KeyValue(A key, B value)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(KeyValue<A,B> o)`
`boolean`
`equals(Object other)`
`A`
`getKey()`
`B`
`getValue()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### key

public final A key

### value

public final B value

## Constructor Details

### KeyValue

public KeyValue(A key, B value)

## Method Details

### compareTo

public int compareTo(KeyValue<A,B> o)

Specified by:
  `compareTo` in interface `Comparable<A>`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### getKey

public A getKey()

### getValue

public B getValue()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`